POST /api/workflows/executions/{executionId}/cancel

Spaces method and path for this operation:

post /s/{space_id}/api/workflows/executions/{executionId}/cancel

Refer to Spaces for more information.

Cancel a running workflow execution by its ID.

[Required authorization] Route required privileges: workflowsManagement:cancelExecution.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

Path parameters

  • executionId string Required

    Workflow execution ID

Responses

  • 200

    Indicates a successful response

POST /api/workflows/executions/{executionId}/cancel
curl \
  -X POST "${KIBANA_URL}/api/workflows/executions/{executionId}/cancel" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true"
POST kbn://api/workflows/executions/{executionId}/cancel